cgGetNumConnectedToParameters(3)

NAME
cgGetNumConnectedToParameters - gets the number of connected destination parameters

SYNOPSIS
  #include <Cg/cg.h>
  int cgGetNumConnectedToParameters( CGparameter param );

PARAMETERS

param
    The source parameter.

RETURN VALUES
Returns the number of destination parameters connected to param.

Returns NULL if an error occurs.

DESCRIPTION
cgGetNumConnectedToParameters returns the number of destination parameters connected to the source parameter param. It's primarily used with cgGetConnectedToParameter.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

HISTORY
cgGetNumConnectedToParameters was introduced in Cg 1.2.

SEE ALSO
the cgConnectParameter manpage, the cgGetConnectedParameter manpage, the cgGetConnectedToParameter manpage